.\"	$NetBSD: postdrop.1,v 1.2 2017/02/14 01:16:44 christos Exp $
.\"
.TH POSTDROP 1 
.ad
.fi
.SH NAME
postdrop
\-
Postfix mail posting utility
.SH "SYNOPSIS"
.na
.nf
\fBpostdrop\fR [\fB\-rv\fR] [\fB\-c \fIconfig_dir\fR]
.SH DESCRIPTION
.ad
.fi
The \fBpostdrop\fR(1) command creates a file in the \fBmaildrop\fR
directory and copies its standard input to the file.

Options:
.IP "\fB\-c \fIconfig_dir\fR"
The \fBmain.cf\fR configuration file is in the named directory
instead of the default configuration directory. See also the
MAIL_CONFIG environment setting below.
.IP \fB\-r\fR
Use a Postfix\-internal protocol for reading the message from
standard input, and for reporting status information on standard
output. This is currently the only supported method.
.IP \fB\-v\fR
Enable verbose logging for debugging purposes. Multiple \fB\-v\fR
options make the software increasingly verbose. As of Postfix 2.3,
this option is available for the super\-user only.
.SH "SECURITY"
.na
.nf
.ad
.fi
The command is designed to run with set\-group ID privileges, so
that it can write to the \fBmaildrop\fR queue directory and so that
it can connect to Postfix daemon processes.
.SH DIAGNOSTICS
.ad
.fi
Fatal errors: malformed input, I/O error, out of memory. Problems
are logged to \fBsyslogd\fR(8) and to the standard error stream.
When the input is incomplete, or when the process receives a HUP,
INT, QUIT or TERM signal, the queue file is deleted.
.SH "ENVIRONMENT"
.na
.nf
.ad
.fi
.IP MAIL_CONFIG
Directory with the \fBmain.cf\fR file. In order to avoid exploitation
of set\-group ID privileges, a non\-standard directory is allowed only
if:
.RS
.IP \(bu
The name is listed in the standard \fBmain.cf\fR file with the
\fBalternate_config_directories\fR configuration parameter.
.IP \(bu
The command is invoked by the super\-user.
.RE
.SH "CONFIGURATION PARAMETERS"
.na
.nf
.ad
.fi
The following \fBmain.cf\fR parameters are especially relevant to
this program.
The text below provides only a parameter summary. See
\fBpostconf\fR(5) for more details including examples.
.IP "\fBalternate_config_directories (empty)\fR"
A list of non\-default Postfix configuration directories that may
be specified with "\-c config_directory" on the command line, or
via the MAIL_CONFIG environment parameter.
.IP "\fBconfig_directory (see 'postconf -d' output)\fR"
The default location of the Postfix main.cf and master.cf
configuration files.
.IP "\fBimport_environment (see 'postconf -d' output)\fR"
The list of environment parameters that a Postfix process will
import from a non\-Postfix parent process.
.IP "\fBqueue_directory (see 'postconf -d' output)\fR"
The location of the Postfix top\-level queue directory.
.IP "\fBsyslog_facility (mail)\fR"
The syslog facility of Postfix logging.
.IP "\fBsyslog_name (see 'postconf -d' output)\fR"
The mail system name that is prepended to the process name in syslog
records, so that "smtpd" becomes, for example, "postfix/smtpd".
.IP "\fBtrigger_timeout (10s)\fR"
The time limit for sending a trigger to a Postfix daemon (for
example, the \fBpickup\fR(8) or \fBqmgr\fR(8) daemon).
.PP
Available in Postfix version 2.2 and later:
.IP "\fBauthorized_submit_users (static:anyone)\fR"
List of users who are authorized to submit mail with the \fBsendmail\fR(1)
command (and with the privileged \fBpostdrop\fR(1) helper command).
.SH "FILES"
.na
.nf
/var/spool/postfix/maildrop, maildrop queue
.SH "SEE ALSO"
.na
.nf
sendmail(1), compatibility interface
postconf(5), configuration parameters
syslogd(8), system logging
.SH "LICENSE"
.na
.nf
.ad
.fi
The Secure Mailer license must be distributed with this software.
.SH "AUTHOR(S)"
.na
.nf
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA

Wietse Venema
Google, Inc.
111 8th Avenue
New York, NY 10011, USA
